Package net.shibboleth.idp.authn.testing

# Class TestPrincipal

java.lang.Object
net.shibboleth.idp.authn.testing.TestPrincipal

All Implemented Interfaces:
  `Principal`

public final class TestPrincipal extends Object implements Principal
Test Principal for testing requested authentication behavior.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`value`
The class ref.

## Constructor Summary

Constructors
Constructor
Description
`TestPrincipal(String newValue)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`String`
`getName()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies`

## Field Details

### value

@Nonnull @NotEmpty private String value
The class ref.

## Constructor Details

### TestPrincipal

public TestPrincipal(@Nonnull @NotEmpty String newValue)
Constructor.

Parameters:
  `newValue` - the principal name

## Method Details

### getName

@Nonnull @NotEmpty public String getName()

Specified by:
  `getName` in interface `Principal`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `Principal`
Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object other)

Specified by:
  `equals` in interface `Principal`
Overrides:
  `equals` in class `Object`

### toString

public String toString()

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `Object`